/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.io.Serializable;

/**
 * 单表生成Entity
 * 
 * @author tangwc
 * @version 2018-05-23
 */
public class MdeHotelBrand extends BaseEntity implements Serializable{

	private static final long serialVersionUID = 1L;
	private String brandId; // 主品牌ID（自增）
	private String brandNameCn; // 主品牌名称（中文）
	private String brandNameEn; // 主品牌名称（英文）
	private String international; // 国际区分[1-国际;2-国内]
	private String sortId; // 排序字段
	private String brandName; // 主品牌名称

	public MdeHotelBrand() {
		super();
	}

	// @Length(min=1, max=11, message="主品牌ID（自增）长度必须介于 1 和 11 之间")
	public String getBrandId() {
		return brandId;
	}

	public void setBrandId(String brandId) {
		this.brandId = brandId;
	}

	// @Length(min=1, max=50, message="主品牌名称（中文）长度必须介于 1 和 50 之间")
	public String getBrandNameCn() {
		return brandNameCn;
	}

	public void setBrandNameCn(String brandNameCn) {
		this.brandNameCn = brandNameCn;
	}

	// @Length(min=1, max=100, message="主品牌名称（英文）长度必须介于 1 和 100 之间")
	public String getBrandNameEn() {
		return brandNameEn;
	}

	public void setBrandNameEn(String brandNameEn) {
		this.brandNameEn = brandNameEn;
	}

	// @Length(min=1, max=1, message="国际区分[1-国际;2-国内]长度必须介于 1 和 1 之间")
	public String getInternational() {
		return international;
	}

	public void setInternational(String international) {
		this.international = international;
	}

	// @Length(min=1, max=11, message="排序字段长度必须介于 1 和 11 之间")
	public String getSortId() {
		return sortId;
	}

	public void setSortId(String sortId) {
		this.sortId = sortId;
	}

	public String getBrandName() {
		return brandName;
	}

	public void setBrandName(String brandName) {
		this.brandName = brandName;
	}

}